Skip to main content
POST
/
api
/
svc
/
v1
/
mcp-servers
/
stdio
/
generate-manifest-from-stdio-config-json
Generate stdio MCP manifest from stdio configuration JSON
curl --request POST \
  --url https://{controlPlaneURL}/api/svc/v1/mcp-servers/stdio/generate-manifest-from-stdio-config-json \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mcpServers": {},
  "description": "<string>",
  "auth_level": "global"
}
'
{
  "manifest": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
mcpServers
object
required

Stdio configuration (JSON): map of MCP server id to stdio config (exactly one entry). Includes command, args, env.

description
string
auth_level
enum<string>
Available options:
global,
per_user

Response

Stdio MCP manifest generated successfully

manifest
object
required

Stdio MCP server manifest for create/update